- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodeNumber Class Reference

The OSnLNodeNumber Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodeNumber:

[legend]
Collaboration diagram for OSnLNodeNumber:

[legend]
List of all members.

## Public Member Functions
| OSnLNodeNumber ()
| default constructor.
| ~OSnLNodeNumber ()
| default destructor.
virtual std::string | getTokenName ()
virtual std::string | getTokenNumber ()
virtual std::string | getNonlinearExpressionInXML ()
virtual double | calculateFunction (double *x)
virtual OSnLNode * | cloneOSnLNode ()
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)
## Public Attributes
double | value
| value is the value of the number
std::string | type
| in the C++ type is real
std::string | id
| later, e.g.

## Detailed Description

The OSnLNodeNumber Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <number>

Definition at line 1268 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodeNumber::OSnLNodeNumber | ( |  | ) |

default constructor.

Definition at line 1534 of file OSnLNode.cpp.

References OSnLNode::inodeInt, OSnLNode::inodeType, OSnLNode::m_mChildren, type, and value.

Referenced by cloneOSnLNode().

OSnLNodeNumber::~OSnLNodeNumber | ( |  | ) |

default destructor.

Definition at line 1546 of file OSnLNode.cpp.

References OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodeNumber::getTokenName | ( |  | ) | `[virtual]`

Returns:
  the value of operator name

Implements OSnLNode.

Definition at line 1570 of file OSnLNode.cpp.

Referenced by getNonlinearExpressionInXML().

std::string OSnLNodeNumber::getTokenNumber | ( |  | ) | `[virtual]`

Returns:
  a string token that corresponds to the OSnLNode.

Reimplemented from OSnLNode.

Definition at line 1553 of file OSnLNode.cpp.

References OSnLNode::inodeInt.

std::string OSnLNodeNumber::getNonlinearExpressionInXML | ( |  | ) | `[virtual]`

Returns:
  the OSiL XML for the number node.

Reimplemented from OSnLNode.

Definition at line 1575 of file OSnLNode.cpp.

References getTokenName(), id, os_dtoa_format(), type, and value.

double OSnLNodeNumber::calculateFunction | ( | double * | x | ) | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1595 of file OSnLNode.cpp.

References OSnLNode::m_dFunctionValue, and value.

OSnLNode * OSnLNodeNumber::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1605 of file OSnLNode.cpp.

References OSnLNodeNumber().

virtual double OSnLNodeNumber::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

## Member Data Documentation

double OSnLNodeNumber::value

value is the value of the number

Definition at line 1272 of file OSnLNode.h.

Referenced by calculateFunction(), OSgams2osil::createOSInstance(), getNonlinearExpressionInXML(), OSInstance::getNonlinearExpressionTreeInInfix(), main(), OSnLNodeNumber(), OSgams2osil::parseGamsInstructions(), LindoSolver::processNonlinearExpressions(), and OSnl2osil::walkTree().

std::string OSnLNodeNumber::type

in the C++ type is real

Definition at line 1274 of file OSnLNode.h.

Referenced by getNonlinearExpressionInXML(), and OSnLNodeNumber().

std::string OSnLNodeNumber::id

later, e.g.

stochastic programming, we may wish to give an id to a number

Definition at line 1278 of file OSnLNode.h.

Referenced by getNonlinearExpressionInXML().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp